Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.java.util
Class NoSuchElementException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.server.java.util.NoSuchElementException`

All Implemented Interfaces:
  java.io.Serializable

public class NoSuchElementException
extends java.lang.RuntimeException

Thrown by the `nextElement` method of an `Enumeration` to indicate that there are no more elements in the enumeration.

Since:
  JDK1.0
See Also:
  `Enumeration`, `Enumeration.nextElement()`, Serialized Form

Constructor Summary
`NoSuchElementException()` Constructs a `NoSuchElementException` with no detail message.
`NoSuchElementException(java.lang.String s)` Constructs a `NoSuchElementException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchElementException

    public NoSuchElementException()

  Constructs a `NoSuchElementException` with no detail message.
Since:
  JDK1.0

### NoSuchElementException

    public NoSuchElementException(java.lang.String s)

  Constructs a `NoSuchElementException` with the specified detail message.
Parameters:
  `s` - the detail message.
Since:
  JDK1.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.